<?php

namespace App\Domain\Comments\Observers;

use App\Domain\Comments\Models\Comment;

class NovaCommentObserver
{
    public function deleting(Comment $comment)
    {
        if(!$comment->trashed()){
            $complaints = $comment->complaints;
            foreach ($complaints as $complaint) {
                $complaint->status = 'reviewed_bad';
                $complaint->moderator_checking_id = auth()->id();
                $complaint->save();
            }
        }
    }
}
